Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 911042

Summary: Review Request: nodejs-node-uuid - Simple and fast generation of RFC4122 (v1 and v4) UUIDs for Node.js
Product: [Fedora] Fedora Reporter: Jamie Nguyen <jamielinux>
Component: Package ReviewAssignee: T.C. Hollingsworth <tchollingsworth>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, package-review, tchollingsworth
Target Milestone: ---Flags: tchollingsworth: fedora-review+
pbabinca: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-19 04:59:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 911022, 948659    

Description Jamie Nguyen 2013-02-14 09:42:58 UTC
Spec URL: https://bugzilla.redhat.com/show_bug.cgi?id=911041
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-node-uuid-1.4.0-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
This Node.js module provides simple and fast generation of RFC4122 (v1 and v4)
UUIDs. It runs in Node.js and all browsers and can also generate
cryptographically strong random numbers.

Comment 1 T.C. Hollingsworth 2013-04-05 01:59:07 UTC
This is a new dependency of nodejs-request.  I'll take the review.

Comment 2 T.C. Hollingsworth 2013-04-05 02:56:29 UTC
Everything looks good, fedora-review clean, Node.js guidelines met.

This package is APPROVED.

Comment 3 T.C. Hollingsworth 2013-04-05 03:02:07 UTC
Ugh, spoke too soon. There are a few concerning rpmlint warnings:

nodejs-node-uuid.noarch: W: devel-file-in-non-devel-package /usr/libexec/node-uuid/benchmark/benchmark-native.c
nodejs-node-uuid.noarch: E: wrong-script-interpreter /usr/libexec/node-uuid/benchmark/bench.gnu /opt/local/bin/gnuplot
nodejs-node-uuid.noarch: E: non-executable-script /usr/libexec/node-uuid/benchmark/bench.gnu 0644L /opt/local/bin/gnuplot

Do you really need to ship the benchmark stuff in the package?  It doesn't seem like it's really useful.

If so, it should probably be in a subpackage that has dependencies on gnuplot.  You'll also need to fix up the shebang and executable bit complained about above.

Comment 4 Jamie Nguyen 2013-04-05 10:01:06 UTC
> Do you really need to ship the benchmark stuff in the package?

Nope! Removed:

Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-node-uuid.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-node-uuid-1.4.0-2.fc18.src.rpm

Comment 5 T.C. Hollingsworth 2013-04-05 20:52:53 UTC
This package is APPROVED.  Thanks!

Comment 6 Jamie Nguyen 2013-04-05 21:00:57 UTC
New Package SCM Request
=======================
Package Name: nodejs-node-uuid
Short Description: Simple and fast generation of RFC4122 (v1 and v4) UUIDs for Node.js
Owners: jamielinux
Branches: f18 f19 el6
InitialCC:

Comment 7 Pavol Babinčák 2013-04-08 08:59:24 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-04-08 13:48:34 UTC
nodejs-node-uuid-1.4.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-node-uuid-1.4.0-2.fc19

Comment 9 Fedora Update System 2013-04-08 13:49:28 UTC
nodejs-node-uuid-1.4.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-node-uuid-1.4.0-2.fc18

Comment 10 Fedora Update System 2013-04-08 15:59:57 UTC
nodejs-node-uuid-1.4.0-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 11 Fedora Update System 2013-04-19 04:59:27 UTC
nodejs-node-uuid-1.4.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 12 Fedora Update System 2013-04-20 19:26:03 UTC
nodejs-node-uuid-1.4.0-2.fc19 has been pushed to the Fedora 19 stable repository.